Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 20 Oct 2017, 14:11
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy Revitalized as 5.2.8.7 - Dec., 2016; 2017 beta
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 35 of 65 [970 Posts]   Goto page: Previous 1, 2, 3, ..., 33, 34, 35, 36, 37, ..., 63, 64, 65 Next
Author Message
keniv

Joined: 06 Oct 2009
Posts: 447
Location: Scotland

PostPosted: Mon 24 Oct 2016, 16:59    Post subject:  

Helo All,
I'm looking for the devx.sfs for lupusuper2-5.2.8.7-k3.2.48. I've tried searching for it but can only find lupu_devx_528-4.sfs. Can anybody point me in the right direction to find it?

Regards,

Ken.

Last edited by keniv on Tue 25 Oct 2016, 07:52; edited 1 time in total
Back to top
View user's profile Send private message 
ally


Joined: 19 May 2012
Posts: 1524
Location: lincoln, uk

PostPosted: Tue 25 Oct 2016, 06:46    Post subject:  

http://www.mediafire.com/file/pbqakqs1piqf1pq/sulu_devx_002-4.sfs

?

Smile
Back to top
View user's profile Send private message Visit poster's website 
keniv

Joined: 06 Oct 2009
Posts: 447
Location: Scotland

PostPosted: Tue 25 Oct 2016, 07:55    Post subject:  

Hello ally,
Thanks for the link. I've just downloaded it.

Regards,

Ken.
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1840
Location: Maine, USA

PostPosted: Sun 30 Oct 2016, 14:03    Post subject: SeaMonkey 2.40 Update PET Package  

For those of you who have not already manually upgraded your installed SeaMonkey, I provide an "update" .pet that performs that upgrade, here:
http://www.mediafire.com/file/9h04txm8edh4c0x/Seamonkey-2.40-lucid_update.pet

The package replaces only the /usr/lib/seamonkey directory, leaving anything in /root unchanged, so as to retain your current settings.

Peebee has added 2.40 to the puppylinux/pet_packages-lucid repository at ibiblio.org for use by Quickpet in selecting a SeaMonkey browser. Note that it includes files in /root, so is intended only for initial installation of SeaMonkey. Use the package at the above link if you already have an older SeaMonkey installed.
Richard
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1840
Location: Maine, USA

PostPosted: Tue 15 Nov 2016, 19:19    Post subject: Content of the 2016 Release of Lucid Pup
Subject description: See next posting for overfiew and links.
 

Updates for Lucid Pup 2016:
Additions:
    8192cu_racy53-k3.0.25.pet (lupusuper1)
    asound_include-0.3 (for potential use by pmusic, pequalizer & puppybt, et. al.) *
    get_java-1.0.1.pet
    gxmessage-2.12.4-1-w5c.pet
    javaif-20160616.pet
    peasy_dvd_player-1.3.pet
    peasyport-2.0.pet
    pequalizer-0.9.0.pet
    psnapshot-1.9
    PupsaveHotBackup-1.4_20150717.pet
    samba-4.1.9-lucid-i686.pet
    YASSM-2.9.pet

Upgrades:
    alsaequal-0.6-lupu.pet
    connect_updates-20160527.pet (in zz_lupu_5.2.8.7-delta)
    dillo-3.0.5-i486-lucid.pet (user can delete old /root/.dillo directory.)
    Extract-1.8.1-lucid.pet (adds xz support) *
    frisbee-1.4.2.pet - includes frisbee_1.3.4_interface_supplement-20150607
    getflash-1.6.1.pet - updated woofCE version *
    gxmessage-2.12.4-1-w5c.pet *
    lucid_utility_menu_fix-20160902.pet (in zz_lupu_5.2.8.7-delta)
    menumaker-1.1.17.pet
    pburn-4.3.17.pet (from woofCE)
    pdiag-20160508.pet (sourced files updates)
    peasyprint-2.9.pet
    pfilesearch-2.2.pet (from woofCE)
    pfind-6.2-1.pet
    pgprs-2.0.1.pet
    pmusic-5.2.6.pet *
    pprocess-2.3.2 (from woofCE)
    pschedule-1.1.7.pet (from woofCE)
    PupControl-3.1 *
    PupMenu-5.1 *
    pupradio-0.19.pet
    retrovol-0.13.1.pet
    PupSysInfo-2.6.5 *
    sfs_load-2.4-1.pet
    tar-1.28-i686.pet
    wallpaper-0.6.4-lucid.pet
    zz_lupu_5.2.8.7-delta-20161216.pet (puppy infrastructure) *

zz_lupu_5.2.8.7-delta infrastructure updates:
    /bin/ps.sh - wrapper for ps, linked as ps (formerly ps script) *
    /etc/xdg/menus/puppy-utility.menu (from lucid_utility_menu_fix-20160902)
    /root/.packages/DISTRO_COMPAT_REPOS - update ubuntu archive URLs
    /sbin/dir2sfs - change name of file list script to match new name.
    /sbin/guess_fstype - version from precise pup, to detect ext4.
    /usr/bin/dir2pet - correct search for top category in hierarchy, add xz support.
    /usr/bin/pet2tgz - add xz support.
    /usr/bin/pupdialog - support new/updated package
    /usr/lib/libgnutls.so.28 - link to so.26 for samba 4.1.9
    /usr/local/apps/Connect/AppRun (from connect_updates-20160527)
    /usr/local/bin/zenity - link to yad (fork of zenity)
    /usr/local/desksetup/desksetup.sh - correct PuppyPin check
    /usr/local/lib/X11/mini-icons/mini-Multimedia.xpm - for pmusic
    /usr/local/petget/help.htm *
    /usr/local/petget/installpkg.sh - support xz-compressed pets.
    /usr/local/petget/petget - correct parsing of deb name release; remove temp copy of pet file when not installed
    /usr/local/pup_event/frontend_change - guess_fstype fails sometimes, when no partitions on device.
    /usr/sbin/background_reshape - wjaguar rewrite
    /usr/sbin/connectwizard (from connect_updates-20160527)
    /usr/sbin/connectwizard_2nd (from connect_updates-20160527)
    /usr/sbin/remove_builtin - fix handling of directory links & names with spaces
    /usr/sbin/remaster_package_check - uninstall no-longer-necessary packages & files
    /usr/sbin/variconlinks - add support for .svg icons *
    /usr/share/doc/gtkdialog.txt
    /usr/share/icons/hicolor/32x32/apps/gtkdialog.png

ubuntu deb updates:
    ca-certificates_20141019ubuntu0.10.04.1_all.deb
    caps_0.4.2-1_i386.deb
    libc6_2.11.1-0ubuntu7.21_i386.deb *
    libc6-dev_2.11.1-0ubuntu7.21_i386.deb *
    libc-bin_2.11.1-0ubuntu7.21_i386.deb *
    libglibmm-2.4-1c2a_2.24.2-0ubuntu1_i386.deb *
    libglibmm-2.4-dev_2.24.2-0ubuntu1_i386.deb *
    libparted0debian1_2.2-5ubuntu5.2_i386.deb
    libpoppler5_0.12.4-0ubuntu5.3_i386.deb
    libpoppler-glib4_0.12.4-0ubuntu5.3_i386.deb
    libssl0.9.8_0.9.8k-7ubuntu8.27_i386.deb
    libssl-dev_0.9.8k-7ubuntu8.27_i386.deb
    openssl_0.9.8k-7ubuntu8.27_i386.deb
    parted_2.2-5ubuntu5.2_i386.deb
    poppler-utils_0.12.4-0ubuntu5.3_i386.deb
    ppp_2.4.5~git20081126t100229-0ubuntu3.1_i386.deb
    procps_3.2.8-1ubuntu4.3_i386.deb
    python2.6_2.6.5-1ubuntu6.3_i386.deb
    python_2.6.5-0ubuntu1.1_all.deb
    python2.6-minimal_2.6.5-1ubuntu6.3_i386.deb
    python-libxml2_2.7.6.dfsg-1ubuntu1.15_i386.deb
    rsync_3.0.7-1ubuntu1.1_i386.deb
    subversion_1.6.6dfsg-2ubuntu1.3_i386.deb
    uuid-dev_2.17.2-0ubuntu1.10.04.2_i386.deb
    wget_1.12-1.1ubuntu2.2_i386.deb
    wpasupplicant_0.6.9-3ubuntu3.2_i386.deb
    x11-xserver-utils_7.5+1ubuntu2.1_i386.deb
    xserver-common_1.7.6-2ubuntu7.12_all.deb
    xserver-xorg-core_1.7.6-2ubuntu7.12_i386.deb
    xserver-xorg-dev_1.7.6-2ubuntu7.12_i386.deb
    xserver-xorg-input-all_7.5+5ubuntu1.1_i386.deb
    xserver-xorg-video-all_7.5+5ubuntu1.1_i386.deb
    xserver-xorg-video-ati_6.13.1-1ubuntu1~xup3~lucid_i386.deb
    xserver-xorg-video-radeon_6.13.1-1ubuntu1~xup3~lucid_i386.deb
* updated later

If you know of an update that I have missed or that you feel should be included, please post a request in this thread.
Richard

Last edited by rerwin on Thu 29 Dec 2016, 00:10; edited 4 times in total
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1840
Location: Maine, USA

PostPosted: Tue 15 Nov 2016, 19:20    Post subject: Announcement of next release  

For the 2016 release of Lucid Pup 5.2.8.7, I have updated all of the main Puppy programs that I could find with new versions, and added some new ones. In addition, I updated all of the ubuntu "deb" packages that have versions newer than those already in 5.2.8.7. The detailed list of the updates is above.

The notable improvements are:
    - Pet packages compressed with "xz" can now be built, expanded and installed, allowing use of any available pet package and building of smaller pet files.
    - File sharing support is improved by the addition of Samba server and YASSM Samba client, but with Pnethood retained.
    - The "secure sockets layer" (SSL) now has the latest security fixes backported by ubuntu to lucid, to increase browsing safety.
    - Java support can be kept up to date with the "get_java" downloader/package builder/installer, avoiding reliance on others to provide JRE SFS files.
    - The directory of built-in file lists now includes lists for all packages added to create Lucid Pup 5.2.8.6 and 5.2.8.7, making the packages available for removal by the user or repackager.
    - Dillo, from OscarTalks, is built with SSL enabled for https web pages and downloads. Package config files are now in /etc/dillo. You may wish to remove other dillo config files in /root/.dillo.
Since this could be the final version of Lucid Pup, please tell me of anything else that should be included.


The new release images are here:
https://www.mediafire.com/folder/dh45w4tt6qqxd/2016_Release
md5sum: 0131ecfcd130987112497aa677aeaae2

Initially, only the base Lucid Pup ISO file is present. Consider these early images as beta test versions. Please report any regressions or other problems.

In addition, here are links to recent versions of LibreOffice and Java:
Richard
Back to top
View user's profile Send private message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 681
Location: Philadelphia, PA

PostPosted: Wed 16 Nov 2016, 10:41    Post subject: Re: Announcement of next release
Subject description: booting problem
 

rerwin (in part) wrote:
Consider these early images as beta test versions. Please report any regressions or other problems.

In a new directory, I put the files
Quote:
-rwxrwxrwx 1 root root 1922882 Nov 15 12:27 initrd.gz
-rwxrwxrwx 1 root root 184623136 Nov 15 12:27 lupu_528.sfs
-rwxrwxrwx 1 root root 2228976 Nov 15 12:27 vmlinuz

But when I try to boot with
Code:
root (hd0,0)
kernel /lupu2016/vmlinuz psubdir=lupu2016
initrd /lupu2016/ initrd.gz

it paused and didn't find lupu_528.sfs

LuPu Super2 from June 2015 works fine on this same Dell E6410.

Help, please.

Thank you,
Sheldon

_________________
Dell E6410: Slim Slacko 6, LuPu Super 2, Tahr
Dell D610: Windows XP, Puppy Linux 5.2
Intel D865GBF: Tiny Windows 7, Puppy Linux 5.2
Acer Aspire One: Windows XP, Puppy Linux 5.2
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9384
Location: Charleston S.C. USA

PostPosted: Wed 16 Nov 2016, 11:37    Post subject:  

Try removing the psubdir=lupu2016 from the entry.

Or

I assume it is on a hard drive.
Add this to the entry: pmedia=atahd.

Code:
kernel /lupu2016/vmlinuz  pmedia=atahd  psubdir=lupu2016

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 681
Location: Philadelphia, PA

PostPosted: Wed 16 Nov 2016, 11:48    Post subject: Newest version
Subject description: doesn't boot
 

bigpup wrote:
Try removing the psubdir=lupu2016 from the entry.

Thanks, bigpup; originally, that wasn't there; I added it after the boot failure.

Quote:
Or

I assume it is on a hard drive.
Add this to the entry: pmedia=atahd.

Code:
kernel /lupu2016/vmlinuz  pmedia=atahd  psubdir=lupu2016

OK, will try; it's on the primary drive, an SSD.

EDIT:
That didn't work. I looked at /tmp/bootlog (or some such file), and
there was something about unable to mount /dev/sda1 to /mnt/data
And dmesg also said something like that.

/dev/sda1 is ext4

Thanks again,
Sheldon

_________________
Dell E6410: Slim Slacko 6, LuPu Super 2, Tahr
Dell D610: Windows XP, Puppy Linux 5.2
Intel D865GBF: Tiny Windows 7, Puppy Linux 5.2
Acer Aspire One: Windows XP, Puppy Linux 5.2
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1455
Location: Italy

PostPosted: Wed 16 Nov 2016, 15:05    Post subject:  

I can't save the savefile clicking on the Save button at shutdown: it does not go through the steps to create the savefile and it does a normal shutdown without saving the session. Prior lupu of 2015 properly works.
Back to top
View user's profile Send private message 
recobayu


Joined: 15 Sep 2010
Posts: 274
Location: indonesia

PostPosted: Wed 16 Nov 2016, 22:04    Post subject:  

Sheldonisaac, try to remove the whitespace.
Code:
initrd /lupu2016/ initrd.gz
tobe
Code:
initrd /lupu2016/initrd.gz
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 447
Location: Scotland

PostPosted: Thu 17 Nov 2016, 06:36    Post subject:  

Have downloaded the first version above. Manual frugal install onto hdd on ntfs booting with grub4dos. I also have sulu002 on this hdd which is my favourite puppy. Everything seems to be working. I have not had trouble booting. I copied what I used to boot sulu002 and changed the directory names. I am glad this is still being updated and would like to thank everybody involved. Can I ask if there's a devx for this. If so can you point me in the correct direction to download it.

Regards,

Ken.
Back to top
View user's profile Send private message 
Keef


Joined: 20 Dec 2007
Posts: 864
Location: Staffordshire

PostPosted: Thu 17 Nov 2016, 09:14    Post subject:  

Also did manual frugal install to HDD (ext4 partition on SSD in IDE adapter). No boot problems - using grub4dos.
Jwm is not working though, it reports a glibc error. Older version crept in perhaps?

keniv - I am using the lupu_devx_528-4.sfs. See download link on second post on first page. Just used it to compile latest jwm 2.3.6 which is working ok so far.
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 447
Location: Scotland

PostPosted: Thu 17 Nov 2016, 09:29    Post subject:  

Thanks Keef,
I'll try it. I have the sulu_devx-002-4.sfs for sulu002 that I have installed and have used a lot but it does not show up on load sfs so I presumed it wouldn't work.

Regards,

Ken.
Back to top
View user's profile Send private message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 681
Location: Philadelphia, PA

PostPosted: Thu 17 Nov 2016, 09:43    Post subject: booting the 2016 update  

recobayu wrote:
Sheldonisaac, try to remove the whitespace.
Code:
initrd /lupu2016/ initrd.gz
tobe
Code:
initrd /lupu2016/initrd.gz
Thanks, recobayu.

I did that, still couldn't find the main sfs.
My reporting is not too accurate, since I tried various ways, and don't recall exactly the results.

I did get it to boot from sda2, an ext2 partition, by doing a
Code:
kernel /vmlinuz    pmedia=atahd pfix=fsck,ram,nox

But then I tried xorgwizard, and got the hangs with two of the little lights above the keyboard flashing.

I do see by later reports that someone got it to work from an ext4.

_________________
Dell E6410: Slim Slacko 6, LuPu Super 2, Tahr
Dell D610: Windows XP, Puppy Linux 5.2
Intel D865GBF: Tiny Windows 7, Puppy Linux 5.2
Acer Aspire One: Windows XP, Puppy Linux 5.2
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 35 of 65 [970 Posts]   Goto page: Previous 1, 2, 3, ..., 33, 34, 35, 36, 37, ..., 63, 64, 65 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.3177s ][ Queries: 13 (0.0533s) ][ GZIP on ]